#!/bin/sh
# load i2c drivers and rtc ds1339 for systems with external clock
PREREQ=""
prereqs()
{
    echo "$PREREQ"
}

case $1 in
    prereqs)
        prereqs
        exit 0
        ;;
esac

. /usr/share/initramfs-tools/hook-functions
# Begin real processing below this line

manual_add_modules i2c-core
manual_add_modules i2c_dev
manual_add_modules i2c-i801
manual_add_modules rtc-ds1307

exit 0